Accept Notification
curl --request PATCH \
--url https://api.example.com/governance-notifications/{notification_id}/accept/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>"
}
'import requests
url = "https://api.example.com/governance-notifications/{notification_id}/accept/"
payload = { "notes": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://api.example.com/governance-notifications/{notification_id}/accept/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "feature",
"source_type": "reconciliation_finding",
"source_id": "<string>",
"title": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"review_context": "<string>",
"summary": "<string>",
"severity": "medium",
"status": "unread",
"target_path": "<string>",
"fingerprint": "<string>",
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dismissed_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_at": "2023-11-07T05:31:56Z",
"dismissed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}governance-notifications
Accept Notification
PATCH
/
governance-notifications
/
{notification_id}
/
accept
/
Accept Notification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Maximum string length:
4000Response
Successful Response
Available options:
feature, ontology, strategy, use_case, reconciliation, billing Available options:
reconciliation_finding, strategy_artifact, feature_memory, ontology_memory, spend_cap, pipeline_schedule Required string length:
1 - 255Required string length:
1 - 255Maximum string length:
2000Maximum string length:
1000Available options:
info, low, medium, high, critical Available options:
unread, read, dismissed Maximum string length:
500Maximum string length:
500